Index: /trunk/sources/HeuristicLab.Core.Views/3.3/EngineBaseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/EngineBaseView.cs	(revision 2654)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/EngineBaseView.cs	(revision 2655)
@@ -43,6 +43,6 @@
     /// </summary>
     /// <remarks>Uses property <see cref="ViewBase.Item"/> of base class <see cref="EditorBase"/>.</remarks>
-    public IEngine Engine {
-      get { return (IEngine)Item; }
+    public EngineBase Engine {
+      get { return (EngineBase)Item; }
       set { base.Item = value; }
     }
@@ -54,4 +54,8 @@
       InitializeComponent();
     }
+    public EngineBaseView(EngineBase engine)
+      : this() {
+      Engine = engine;
+    }
 
     /// <summary>
@@ -59,25 +63,26 @@
     /// </summary>
     /// <remarks>Calls <see cref="ViewBase.RemoveItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
-    protected override void RemoveItemEvents() {
+    protected override void DeregisterObjectEvents() {
+      Engine.OperatorGraphChanged -= new EventHandler(Engine_OperatorGraphChanged);
       Engine.Initialized -= new EventHandler(Engine_Initialized);
+      Engine.Started -= new EventHandler(Engine_Started);
+      Engine.Stopped -= new EventHandler(Engine_Stopped);
+      Engine.ExecutionTimeChanged -= new EventHandler(Engine_ExecutionTimeChanged);
       Engine.ExceptionOccurred -= new EventHandler<EventArgs<Exception>>(Engine_ExceptionOccurred);
-      Engine.ExecutionTimeChanged -= new EventHandler(Engine_ExecutionTimeChanged);
-      Engine.Finished -= new EventHandler(Engine_Finished);
-      operatorGraphView.OperatorGraph = null;
-      scopeView.Scope = null;
-      base.RemoveItemEvents();
+      base.DeregisterObjectEvents();
     }
+
     /// <summary>
     /// Adds event handlers to the underlying <see cref="IEngine"/>.
     /// </summary>
     /// <remarks>Calls <see cref="ViewBase.AddItemEvents"/> of base class <see cref="ViewBase"/>.</remarks>
-    protected override void AddItemEvents() {
-      base.AddItemEvents();
+    protected override void RegisterObjectEvents() {
+      base.RegisterObjectEvents();
+      Engine.OperatorGraphChanged += new EventHandler(Engine_OperatorGraphChanged);
       Engine.Initialized += new EventHandler(Engine_Initialized);
+      Engine.Started += new EventHandler(Engine_Started);
+      Engine.Stopped += new EventHandler(Engine_Stopped);
+      Engine.ExecutionTimeChanged += new EventHandler(Engine_ExecutionTimeChanged);
       Engine.ExceptionOccurred += new EventHandler<EventArgs<Exception>>(Engine_ExceptionOccurred);
-      Engine.ExecutionTimeChanged += new EventHandler(Engine_ExecutionTimeChanged);
-      Engine.Finished += new EventHandler(Engine_Finished);
-      operatorGraphView.OperatorGraph = Engine.OperatorGraph;
-      scopeView.Scope = Engine.GlobalScope;
     }
 
@@ -86,15 +91,18 @@
     /// </summary>
     /// <remarks>Calls <see cref="EditorBase.UpdateControls"/> of base class <see cref="EditorBase"/>.</remarks>
-    protected override void UpdateControls() {
-      base.UpdateControls();
-      abortButton.Enabled = false;
+    protected override void OnObjectChanged() {
+      base.OnObjectChanged();
+      stopButton.Enabled = false;
       if (Engine == null) {
-        executeButton.Enabled = false;
+        operatorGraphView.Enabled = false;
+        scopeView.Enabled = false;
+        startButton.Enabled = false;
         resetButton.Enabled = false;
         executionTimeTextBox.Enabled = false;
       } else {
-        executeButton.Enabled = true;
+        operatorGraphView.OperatorGraph = Engine.OperatorGraph;
+        scopeView.Scope = Engine.GlobalScope;
+        startButton.Enabled = !Engine.Finished;
         resetButton.Enabled = true;
-        executionTimeCounter = 0;
         executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
         executionTimeTextBox.Enabled = true;
@@ -103,69 +111,74 @@
 
     #region Engine Events
+    private void Engine_OperatorGraphChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Engine_OperatorGraphChanged), sender, e);
+      else
+        operatorGraphView.OperatorGraph = Engine.OperatorGraph;
+    }
     private void Engine_Initialized(object sender, EventArgs e) {
-      Refresh();
+      if (InvokeRequired)
+        Invoke(new EventHandler(Engine_Initialized), sender, e);
+      else {
+        operatorGraphView.Enabled = true;
+        scopeView.Enabled = true;
+        startButton.Enabled = !Engine.Finished;
+        stopButton.Enabled = false;
+        resetButton.Enabled = true;
+        executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
+      }
     }
-    private delegate void OnExceptionEventDelegate(object sender, EventArgs<Exception> e);
-    private void Engine_ExceptionOccurred(object sender, EventArgs<Exception> e) {
+    private void Engine_Started(object sender, EventArgs e) {
+      executionTimeCounter = 0;
       if (InvokeRequired)
-        Invoke(new OnExceptionEventDelegate(Engine_ExceptionOccurred), sender, e);
-      else
-        Auxiliary.ShowErrorMessageBox(e.Value);
+        Invoke(new EventHandler(Engine_Started), sender, e);
+      else {
+        operatorGraphView.Enabled = false;
+        scopeView.Enabled = false;
+        startButton.Enabled = false;
+        stopButton.Enabled = true;
+        resetButton.Enabled = false;
+        executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
+      }
+    }
+    private void Engine_Stopped(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Engine_Stopped), sender, e);
+      else {
+        operatorGraphView.Enabled = true;
+        scopeView.Enabled = true;
+        startButton.Enabled = !Engine.Finished;
+        stopButton.Enabled = false;
+        resetButton.Enabled = true;
+        executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
+      }
     }
     private void Engine_ExecutionTimeChanged(object sender, EventArgs e) {
       executionTimeCounter++;
-      if (executionTimeCounter == 1000)
-        UpdateExecutionTimeTextBox();
-    }
-    private void Engine_Finished(object sender, EventArgs e) {
-      UpdateExecutionTimeTextBox();
-      if (globalScopeGroupBox.Controls.Count > 0) {
-        ScopeView scopeEditor = (ScopeView)globalScopeGroupBox.Controls[0];
-        if (!scopeEditor.AutomaticUpdating)
-          scopeEditor.Refresh();
-      }
-      EnableDisableControls();
-    }
-    private void UpdateExecutionTimeTextBox() {
-      if (InvokeRequired)
-        Invoke(new MethodInvoker(UpdateExecutionTimeTextBox));
-      else {
+      if ((executionTimeCounter == 1000) || !Engine.Running) {
         executionTimeCounter = 0;
-        executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
+        if (InvokeRequired)
+          Invoke(new EventHandler(Engine_ExecutionTimeChanged), sender, e);
+        else
+          executionTimeTextBox.Text = Engine.ExecutionTime.ToString();
       }
     }
-    private void EnableDisableControls() {
+    private void Engine_ExceptionOccurred(object sender, EventArgs<Exception> e) {
       if (InvokeRequired)
-        Invoke(new MethodInvoker(EnableDisableControls));
-      else {
-        executeButton.Enabled = true;
-        abortButton.Enabled = false;
-        resetButton.Enabled = true;
-        operatorGraphGroupBox.Enabled = true;
-        globalScopeGroupBox.Enabled = true;
-      }
+        Invoke(new EventHandler<EventArgs<Exception>>(Engine_ExceptionOccurred), sender, e);
+      else
+        Auxiliary.ShowErrorMessageBox(e.Value);
     }
     #endregion
 
     #region Button events
-    private void executeButton_Click(object sender, EventArgs e) {
-      executeButton.Enabled = false;
-      abortButton.Enabled = true;
-      resetButton.Enabled = false;
-      operatorGraphGroupBox.Enabled = false;
-      globalScopeGroupBox.Enabled = false;
-      Engine.Execute();
+    private void startButton_Click(object sender, EventArgs e) {
+      Engine.Start();
     }
-    private void abortButton_Click(object sender, EventArgs e) {
-      Engine.Abort();
+    private void stopButton_Click(object sender, EventArgs e) {
+      Engine.Stop();
     }
     private void resetButton_Click(object sender, EventArgs e) {
-      Engine.Reset();
-      UpdateExecutionTimeTextBox();
-      if (globalScopeGroupBox.Controls.Count > 0) {
-        ScopeView scopeEditor = (ScopeView)globalScopeGroupBox.Controls[0];
-        if (!scopeEditor.AutomaticUpdating)
-          scopeEditor.Refresh();
-      }
+      Engine.Initialize();
     }
     #endregion
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 2654)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLab.Core.Views-3.3.csproj	(revision 2655)
@@ -39,4 +39,5 @@
       <RequiredTargetFramework>3.5</RequiredTargetFramework>
     </Reference>
+    <Reference Include="System.Design" />
     <Reference Include="System.Drawing" />
     <Reference Include="System.Windows.Forms" />
@@ -51,23 +52,11 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="CreateParameterDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="CreateParameterDialog.Designer.cs">
+      <DependentUpon>CreateParameterDialog.cs</DependentUpon>
+    </Compile>
     <Compile Include="Auxiliary.cs" />
-    <Compile Include="ChooseItemDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="ChooseItemDialog.Designer.cs">
-      <DependentUpon>ChooseItemDialog.cs</DependentUpon>
-    </Compile>
-    <Compile Include="ChooseOperatorDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="ChooseOperatorDialog.Designer.cs">
-      <DependentUpon>ChooseOperatorDialog.cs</DependentUpon>
-    </Compile>
-    <Compile Include="ChooseTypeDialog.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="ChooseTypeDialog.Designer.cs">
-      <DependentUpon>ChooseTypeDialog.cs</DependentUpon>
-    </Compile>
     <Compile Include="EngineBaseView.cs">
       <SubType>UserControl</SubType>
@@ -76,6 +65,144 @@
       <DependentUpon>EngineBaseView.cs</DependentUpon>
     </Compile>
+    <Compile Include="OperatorGraphView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorGraphView.Designer.cs">
+      <DependentUpon>OperatorGraphView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorsSidebar.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorsSidebar.Designer.cs">
+      <DependentUpon>OperatorsSidebar.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorTreeView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorTreeView.Designer.cs">
+      <DependentUpon>OperatorTreeView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="TypeSelectorDialog.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="TypeSelectorDialog.Designer.cs">
+      <DependentUpon>TypeSelectorDialog.cs</DependentUpon>
+    </Compile>
+    <Compile Include="TypeSelector.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="TypeSelector.Designer.cs">
+      <DependentUpon>TypeSelector.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ViewHost.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ViewHost.Designer.cs">
+      <DependentUpon>ViewHost.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ParameterBaseView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ParameterBaseView.Designer.cs">
+      <DependentUpon>ParameterBaseView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorCollectionView.Designer.cs">
+      <DependentUpon>OperatorCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorSetView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorSetView.Designer.cs">
+      <DependentUpon>OperatorSetView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ItemSetView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ItemSetView.Designer.cs">
+      <DependentUpon>ItemSetView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ItemCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ItemCollectionView.Designer.cs">
+      <DependentUpon>ItemCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ScopeListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ScopeListView.Designer.cs">
+      <DependentUpon>ScopeListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorListView.Designer.cs">
+      <DependentUpon>OperatorListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ItemListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ItemListView.Designer.cs">
+      <DependentUpon>ItemListView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="IObjectView.cs" />
+    <Compile Include="ObjectViewBase.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ObjectViewBase.Designer.cs">
+      <DependentUpon>ObjectViewBase.cs</DependentUpon>
+    </Compile>
+    <Compile Include="OperatorBaseView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="OperatorBaseView.Designer.cs">
+      <DependentUpon>OperatorBaseView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="NamedItemBaseView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="NamedItemBaseView.Designer.cs">
+      <DependentUpon>NamedItemBaseView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="IntDataView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="IntDataView.Designer.cs">
+      <DependentUpon>IntDataView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ParameterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ParameterView.Designer.cs">
+      <DependentUpon>ParameterView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ScopeView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ScopeView.Designer.cs">
+      <DependentUpon>ScopeView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="VariableCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="VariableCollectionView.Designer.cs">
+      <DependentUpon>VariableCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ParameterCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ParameterCollectionView.Designer.cs">
+      <DependentUpon>ParameterCollectionView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="NamedItemCollectionView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="NamedItemCollectionView.Designer.cs">
+      <DependentUpon>NamedItemCollectionView.cs</DependentUpon>
+    </Compile>
     <Compile Include="HeuristicLabCoreViewsPlugin.cs" />
-    <Compile Include="IItemView.cs" />
     <Compile Include="ItemBaseView.cs">
       <SubType>UserControl</SubType>
@@ -90,59 +217,5 @@
       <DependentUpon>ItemViewBase.cs</DependentUpon>
     </Compile>
-    <Compile Include="OperatorBaseDescriptionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorBaseDescriptionView.Designer.cs">
-      <DependentUpon>OperatorBaseDescriptionView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="OperatorBaseVariableInfosView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorBaseVariableInfosView.Designer.cs">
-      <DependentUpon>OperatorBaseVariableInfosView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="OperatorBaseVariablesView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorBaseVariablesView.Designer.cs">
-      <DependentUpon>OperatorBaseVariablesView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="OperatorBaseView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorBaseView.Designer.cs">
-      <DependentUpon>OperatorBaseView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="OperatorGraphView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorGraphView.Designer.cs">
-      <DependentUpon>OperatorGraphView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="OperatorLibraryView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="OperatorLibraryView.Designer.cs">
-      <DependentUpon>OperatorLibraryView.cs</DependentUpon>
-    </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <Compile Include="ScopeView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ScopeView.Designer.cs">
-      <DependentUpon>ScopeView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="VariableInfoView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="VariableInfoView.Designer.cs">
-      <DependentUpon>VariableInfoView.cs</DependentUpon>
-    </Compile>
-    <Compile Include="VariablesScopeView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="VariablesScopeView.Designer.cs">
-      <DependentUpon>VariablesScopeView.cs</DependentUpon>
-    </Compile>
     <Compile Include="VariableView.cs">
       <SubType>UserControl</SubType>
@@ -157,4 +230,8 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Collections\3.3\HeuristicLab.Collections-3.3.csproj">
+      <Project>{958B43BC-CC5C-4FA2-8628-2B3B01D890B6}</Project>
+      <Name>HeuristicLab.Collections-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Common.Resources\3.2\HeuristicLab.Common.Resources-3.2.csproj">
       <Project>{0E27A536-1C4A-4624-A65E-DC4F4F23E3E1}</Project>
@@ -177,61 +254,12 @@
       <Name>HeuristicLab.MainForm-3.2</Name>
     </ProjectReference>
+    <ProjectReference Include="..\..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
+      <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
+      <Name>HeuristicLab.Persistence-3.3</Name>
+    </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
-  </ItemGroup>
-  <ItemGroup>
-    <Content Include="Resources\CombinedOperator.bmp" />
-    <Content Include="Resources\HeuristicLab.ico" />
-    <Content Include="Resources\Operator.bmp" />
-    <Content Include="Resources\ProgrammableOperator.bmp" />
-  </ItemGroup>
-  <ItemGroup>
-    <EmbeddedResource Include="ChooseItemDialog.resx">
-      <DependentUpon>ChooseItemDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ChooseOperatorDialog.resx">
-      <DependentUpon>ChooseOperatorDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ChooseTypeDialog.resx">
-      <DependentUpon>ChooseTypeDialog.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="EngineBaseView.resx">
-      <DependentUpon>EngineBaseView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ItemBaseView.resx">
-      <DependentUpon>ItemBaseView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorBaseDescriptionView.resx">
-      <DependentUpon>OperatorBaseDescriptionView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorBaseVariableInfosView.resx">
-      <DependentUpon>OperatorBaseVariableInfosView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorBaseVariablesView.resx">
-      <DependentUpon>OperatorBaseVariablesView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorBaseView.resx">
-      <DependentUpon>OperatorBaseView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorGraphView.resx">
-      <DependentUpon>OperatorGraphView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="OperatorLibraryView.resx">
-      <DependentUpon>OperatorLibraryView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="ScopeView.resx">
-      <DependentUpon>ScopeView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="VariableInfoView.resx">
-      <DependentUpon>VariableInfoView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="VariablesScopeView.resx">
-      <DependentUpon>VariablesScopeView.cs</DependentUpon>
-    </EmbeddedResource>
-    <EmbeddedResource Include="VariableView.resx">
-      <DependentUpon>VariableView.cs</DependentUpon>
-    </EmbeddedResource>
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs	(revision 2654)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs	(revision 2655)
@@ -29,11 +29,13 @@
   /// Plugin class for HeuristicLab.Core.Views plugin.
   /// </summary>
-  [ClassInfo(Name = "HeuristicLab.Core.Views-3.3")]
-  [PluginFile(Filename = "HeuristicLab.Core.Views-3.3.dll", Filetype = PluginFileType.Assembly)]
-  [Dependency(Dependency = "HeuristicLab.Common-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Common.Resources-3.2")]
-  [Dependency(Dependency = "HeuristicLab.Core-3.3")]
-  [Dependency(Dependency = "HeuristicLab.MainForm-3.2")]
-  [Dependency(Dependency = "HeuristicLab.MainForm.WindowsForms-3.2")]
+  [Plugin("HeuristicLab.Core.Views-3.3")]
+  [PluginFile("HeuristicLab.Core.Views-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Collections-3.3")]
+  [PluginDependency("HeuristicLab.Common-3.2")]
+  [PluginDependency("HeuristicLab.Common.Resources-3.2")]
+  [PluginDependency("HeuristicLab.Persistence-3.3")]
+  [PluginDependency("HeuristicLab.Core-3.3")]
+  [PluginDependency("HeuristicLab.MainForm-3.2")]
+  [PluginDependency("HeuristicLab.MainForm.WindowsForms-3.2")]
   public class HeuristicLabCoreViewsPlugin : PluginBase {
   }
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/IObjectView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/IObjectView.cs	(revision 2655)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/IObjectView.cs	(revision 2655)
@@ -0,0 +1,43 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Core.Views {
+  /// <summary>
+  /// An interface for all kinds visual representations of items (objects, operators...).
+  /// </summary>
+  public interface IObjectView : IView {
+    /// <summary>
+    /// Gets the current item instance.
+    /// </summary>
+    object Object { get; }
+
+    /// <summary>
+    /// Occurs when the current item was changed.
+    /// </summary>
+    event EventHandler ObjectChanged;
+  }
+}
Index: /trunk/sources/HeuristicLab.Core.Views/3.3/IntDataView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core.Views/3.3/IntDataView.Designer.cs	(revision 2655)
+++ /trunk/sources/HeuristicLab.Core.Views/3.3/IntDataView.Designer.cs	(revision 2655)
@@ -0,0 +1,89 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Core.Views {
+  partial class IntDataView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.valueLabel = new System.Windows.Forms.Label();
+      this.valueTextBox = new System.Windows.Forms.TextBox();
+      this.SuspendLayout();
+      // 
+      // valueLabel
+      // 
+      this.valueLabel.AutoSize = true;
+      this.valueLabel.Location = new System.Drawing.Point(3, 3);
+      this.valueLabel.Name = "valueLabel";
+      this.valueLabel.Size = new System.Drawing.Size(37, 13);
+      this.valueLabel.TabIndex = 0;
+      this.valueLabel.Text = "&Value:";
+      // 
+      // valueTextBox
+      // 
+      this.valueTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.valueTextBox.Location = new System.Drawing.Point(46, 0);
+      this.valueTextBox.Name = "valueTextBox";
+      this.valueTextBox.Size = new System.Drawing.Size(204, 20);
+      this.valueTextBox.TabIndex = 1;
+      this.valueTextBox.Validated += new System.EventHandler(this.valueTextBox_Validated);
+      this.valueTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.valueTextBox_Validating);
+      // 
+      // IntDataView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.valueTextBox);
+      this.Controls.Add(this.valueLabel);
+      this.Name = "IntDataView";
+      this.Size = new System.Drawing.Size(250, 50);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label valueLabel;
+    private System.Windows.Forms.TextBox valueTextBox;
+  }
+}
